#include <bits/stdc++.h>

#define ll long long
#define ios ios::sync_with_stdio(false);cin.tie(0);cout.tie(0);
#define mod 1000000009

using namespace std;


int n,m,a[100100];
bool ch[100];
int c[100][100];
int ans=1e9;

void solve(int x){
    if (x==n){
        memset(c,0,sizeof(c));
        for (int i=0;i<n;i++){
            if (!ch[i]){
                for (int j=0;j<a[i];j++){
                    c[i][j]=1;
                }
            }
            else{
                for (int j=m-1;j>=a[i];j--){
                    c[i][j]=1;
                }
            }
        }
        int sum=0;
        for (int j=0;j<m;j++){
            int cnt=0;
            for (int i=0;i<n;i++){
                cnt+=c[i][j];
            }
            sum+=cnt*(n-cnt);
        }
        ans=min(ans,sum);
        return;
    }
    solve(x+1);
    ch[x]=true;
    solve(x+1);
    ch[x]=false;
}
void bruteforce(){
    memset(c,0,sizeof(c));
    solve(0);
    cout<<ans;
    exit(0);
}

int main(){
    cin>>n>>m;
    for (int i=0;i<n;i++)cin>>a[i];
    sort(a,a+n);
    bruteforce();
    return 0;
}